Pregunta Instalar ADT en Eclipse


Este tipo de habla por sí mismo ...

No se puede completar la instalación porque no se encontraron uno o más elementos necesarios.

Software que se está instalando: Android Native Development Tools 20.0.0.v201206242043-391819 (com.android.ide.eclipse.ndk.feature.group 20.0.0.v201206242043-391819)

Falta el requisito: Android Native Development Tools 20.0.0.v201206242043-391819 (com.android.ide.eclipse.ndk.feature.group 20.0.0.v201206242043-391819) requiere 'org.eclipse.cdt.feature.group 0.0.0' pero no se pudo encontrar

¿Alguien más tuvo el mismo problema? Google me dice que instale el complemento de forma manual.

Instalación de ADT


19
2017-07-10 18:46


origen


Respuestas:


También tuve este problema, y ​​lo resolví de la siguiente manera.

  1. Vaya a Ayuda, "Instalar nuevo software ..."
  2. Haga clic en "Sitios de software disponibles"
  3. Buscar http://download.eclipse.org/releases/indigo y habilitarlo
  4. Buscar http://download.eclipse.org/tools/cdt/releases/indigo y habilitarlo
  5. Regrese a Ayuda, "Instalar nuevo software ..."
  6. Verifique "Póngase en contacto con todos los sitios de actualización durante la instalación para encontrar el software requerido".
  7. Instalar el complemento ADT
  8. ¡DEBE FUNCIONAR!

46
2017-08-24 10:22



Por si alguien lo necesita, tuve el mismo problema y lo resolví. Fueron los repositorios perdidos que fueron el problema. Para Juno, acabo de ir a "Instalar nuevo software"> hacer clic en "Agregar" e ingresar Juno como nombre y "http://download.eclipse.org/releases/juno" en la ubicación. Después de eso, todo funciona.


3
2017-07-24 16:34



La instalación puede ir más suave si comienza con Eclipse IDE for C Developers. Ese paquete ya incluye complementos CDT.

Alternativa, intente lo siguiente:

  1. En el asistente de instalación, busque el enlace "Sitios de software disponibles". Haz click en eso. Asegúrese de ver un repositorio listado con una URL como "http / download.eclipse.org / releases / juno". Y que esa lista está habilitada. El último segmento de la URL puede depender mucho de la versión de Eclipse que tenga ... ganymede, helios, indigo, juno.

  2. De vuelta en el cuadro de diálogo de instalación, asegúrese de que la casilla "contactar con todos los sitios de actualización ..." esté marcada.


1
2017-07-10 20:15



He visto esto ¿Instaló por completo el SDK de Android (¿Hay algo en la carpeta de su plataforma)? Me di cuenta de que me faltaban algunas cosas porque no podía acceder a la fuente https. Tuve que iniciar el Administrador de SDK de Android y marcar una casilla para "Forzar https: // ... fuentes que se van a buscar usando http: //" para asegurarme de que estaba viendo todos los archivos que necesitaba instalar para el SDK.

Además, en Ayuda de Eclipse-> Instalar nuevo software, asegúrese de marcar "Mostrar solo el software aplicable al entorno de destino"


1
2017-07-10 20:26



¡Puedes usar Eclipse para Java! Solo asegúrate de haber marcado la opción "Contactar con todas las actualizaciones ...". ¡Funcionará sin fallas!


0
2017-07-12 17:19